[SciPy-dev] Are we using the latest ODEPACK?

eric jones eric at enthought.com
Tue Oct 1 23:32:44 CDT 2002


> -----Original Message-----
> From: scipy-dev-admin at scipy.net [mailto:scipy-dev-admin at scipy.net] On
> Behalf Of Robert Kern
> Sent: Tuesday, October 01, 2002 12:28 PM
> To: scipy-dev at scipy.net
> Subject: Re: [SciPy-dev] Are we using the latest ODEPACK?
> 
> On Tue, Oct 01, 2002 at 05:26:14AM -0500, eric jones wrote:
> 
> [snip]
> 
> > Are we using this version of ODEPACK, or an older one?
> 
> The old one.
> 
> > If we're using
> > an older one, do you think we should upgrade before trying to
release
> > 0.2.0?
> > Will anyone volunteer to check into this and also what is involved
with
> > the upgrade (if needed).
> 
> I'm not an expert on the package, but it looks like the only routine
> SciPy uses (LSODA) has only changed its name to DLSODA. The call
> arguments appear to be the same. Ditto with error messages. Then all
you
> have to do is update the name __odrpack.h and fiddle with the  build
> procedure.

Hey Robert,

Thanks for looking into this.  It sounds like the update won't be to
bad.  Based on Pearu's comments, we'll wait to do this when he has a
chance to write f2py wrappers for it.

eric

> 
> --
> Robert Kern
> Ruddock House President
> kern at caltech.edu
> 
> "In the fields of hell where the grass grows high
>  Are the graves of dreams allowed to die."
>   -- Richard Harter
> _______________________________________________
> Scipy-dev mailing list
> Scipy-dev at scipy.net
> http://www.scipy.net/mailman/listinfo/scipy-dev




More information about the Scipy-dev mailing list